Bug 1414240 - [RFE] katello-restore needs to check for sufficient free disk space before restore
Summary: [RFE] katello-restore needs to check for sufficient free disk space before re...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Backup & Restore
Version: 6.2.5
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: Unspecified
Assignee: Christine Fouant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 06:50 UTC by Sandeep MJ
Modified: 2020-02-14 18:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:05:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 19449 0 None None None 2017-05-03 14:22:54 UTC

Description Sandeep MJ 2017-01-18 06:50:46 UTC
Description of problem:
If there is insufficient space on disk while running a katello-restore, it fails with:

####
...
Restoring backend data
tar: Unexpected EOF in archive
tar: rmtlseek not stopped at a record boundary
tar: Error is not recoverable: exiting now
Done.
####

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a backup with katello-backup
2. Restore using katello-restore when there is insufficient disk space

Actual results:

####
...
Restoring backend data
tar: Unexpected EOF in archive
tar: rmtlseek not stopped at a record boundary
tar: Error is not recoverable: exiting now
Done.
####

Expected results:
Either run a check before hand to see of there is sufficient disk space available, or provide a more informational error message.

Additional info:

Comment 1 Christine Fouant 2017-05-03 14:22:53 UTC
Created redmine issue http://projects.theforeman.org/issues/19449 from this bug

Comment 2 pm-sat@redhat.com 2018-02-17 19:07:46 UTC
Upstream bug assigned to cfouant@redhat.com

Comment 3 Bryan Kearney 2018-09-04 18:55:08 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 4 Bryan Kearney 2018-09-04 19:05:14 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.